com.pivotal.gemfirexd.internal.client.am

## Class LogicalPreparedStatement40

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.LogicalPreparedStatement
  - - com.pivotal.gemfirexd.internal.client.am.LogicalPreparedStatement40

All Implemented Interfaces:
  AutoCloseable, PreparedStatement, Statement, Wrapper

    public class LogicalPreparedStatement40
    extends LogicalPreparedStatement

JDBC 4 specific wrapper class for a Derby physical prepared statement.

See Also:
  `LogicalPreparedStatement`, `isClosed()`

### Field Summary

Fields
`protected Agent` `agent` Create a logical entity for a `PreparedStatement`.

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`LogicalPreparedStatement40(Agent agent, PreparedStatement physicalPs, StatementKey stmtKey, StatementCacheInteractor cacheInteractor)` Creates a new logical prepared statement.

### Method Summary

Methods
`void` `close()` Close the logical statement.
`void` `closeOnCompletion()`
`boolean` `isClosed()`
`boolean` `isCloseOnCompletion()`
`boolean` `isPoolable()`
`boolean` `isWrapperFor(Class<?> arg0)`
`void` `setAsciiStream(int arg0, InputStream arg1)`
`void` `setAsciiStream(int arg0, InputStream arg1, long arg2)`
`void` `setBinaryStream(int arg0, InputStream arg1)`
`void` `setBinaryStream(int arg0, InputStream arg1, long arg2)`
`void` `setBlob(int arg0, InputStream arg1)`
`void` `setBlob(int arg0, InputStream arg1, long arg2)`
`void` `setCharacterStream(int arg0, Reader arg1)`
`void` `setCharacterStream(int arg0, Reader arg1, long arg2)`
`void` `setClob(int arg0, Reader arg1)`
`void` `setClob(int arg0, Reader arg1, long arg2)`
`void` `setNCharacterStream(int arg0, Reader arg1)`
`void` `setNCharacterStream(int arg0, Reader arg1, long arg2)`
`void` `setNClob(int arg0, NClob arg1)`
`void` `setNClob(int arg0, Reader arg1)`
`void` `setNClob(int arg0, Reader arg1, long arg2)`
`void` `setNString(int arg0, String arg1)`
`void` `setPoolable(boolean arg0)`
`void` `setRowId(int arg0, RowId arg1)`
`void` `setSQLXML(int arg0, SQLXML arg1)`
`<T> T` `unwrap(Class<T> arg0)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.LogicalPreparedStatement

`addBatch, addBatch, cancel, clearBatch, clearParameters, clearWarnings, execute, execute, execute, execute, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getMoreResults, getParameterMetaData, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setObject, setQueryTimeout, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Statement

`close`

### Field Detail

#### agent

    protected final Agent agent

Create a logical entity for a `PreparedStatement`.

### Constructor Detail

#### LogicalPreparedStatement40

    public LogicalPreparedStatement40(Agent agent,
                              PreparedStatement physicalPs,
                              StatementKey stmtKey,
                              StatementCacheInteractor cacheInteractor)

Creates a new logical prepared statement.

Parameters:
  `physicalPs` - underlying physical statement
  `stmtKey` - key for the physical statement
  `cacheInteractor` - creating statement cache interactor
Throws:
  `IllegalArgumentException` - if `cache` is `null`

### Method Detail

#### setRowId

    public void setRowId(int arg0,
                RowId arg1)
                  throws SQLException

Throws:
  `SQLException`

#### setNString

    public void setNString(int arg0,
                  String arg1)
                    throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int arg0,
                           Reader arg1,
                           long arg2)
                             throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int arg0,
                NClob arg1)
                  throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(int arg0,
               Reader arg1,
               long arg2)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(int arg0,
               InputStream arg1,
               long arg2)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int arg0,
                Reader arg1,
                long arg2)
                  throws SQLException

Throws:
  `SQLException`

#### setSQLXML

    public void setSQLXML(int arg0,
                 SQLXML arg1)
                   throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int arg0,
                      InputStream arg1,
                      long arg2)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int arg0,
                       InputStream arg1,
                       long arg2)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int arg0,
                          Reader arg1,
                          long arg2)
                            throws SQLException

Throws:
  `SQLException`

#### setAsciiStream

    public void setAsciiStream(int arg0,
                      InputStream arg1)
                        throws SQLException

Throws:
  `SQLException`

#### setBinaryStream

    public void setBinaryStream(int arg0,
                       InputStream arg1)
                         throws SQLException

Throws:
  `SQLException`

#### setCharacterStream

    public void setCharacterStream(int arg0,
                          Reader arg1)
                            throws SQLException

Throws:
  `SQLException`

#### setNCharacterStream

    public void setNCharacterStream(int arg0,
                           Reader arg1)
                             throws SQLException

Throws:
  `SQLException`

#### setClob

    public void setClob(int arg0,
               Reader arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setBlob

    public void setBlob(int arg0,
               InputStream arg1)
                 throws SQLException

Throws:
  `SQLException`

#### setNClob

    public void setNClob(int arg0,
                Reader arg1)
                  throws SQLException

Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Throws:
  `SQLException`

#### setPoolable

    public void setPoolable(boolean arg0)
                     throws SQLException

Throws:
  `SQLException`

#### isPoolable

    public boolean isPoolable()
                       throws SQLException

Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> arg0)
             throws SQLException

Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> arg0)
                         throws SQLException

Throws:
  `SQLException`

#### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

Throws:
  `SQLException`

#### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Close the logical statement.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Statement`
Throws:
  `SQLException` - if closing the statement fails